# QImageDrag Class Reference

The QImageDrag provides a drag-and-drop object for tranferring images. More...

`#include <qdragobject.h>`

Inherits QDragObject.

List of all member functions.

## Public Members

- QImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )
- QImageDrag ( QWidget * dragSource = 0, const char * name = 0 )
- ~QImageDrag ()
- void setImage ( QImage image )
- virtual const char* format ( int i ) const
- virtual QByteArray encodedData ( const char * ) const

## Static Public Members

- bool canDecode ( QDragMoveEvent * e )
- bool decode ( QDropEvent * e, QImage & i )
- bool decode ( QDropEvent * e, QPixmap & i )

## Detailed Description

The QImageDrag provides a drag-and-drop object for tranferring images.

Images are offered to the receiving application in multiple formats, determined by the output formats in Qt.

For detailed information about drag-and-drop, see the QDragObject class.

## Member Function Documentation

### QImageDrag::QImageDrag ( QImage image, QWidget * dragSource = 0, const char * name = 0 )

Creates an image drag object and sets it to image. dragSource must be the drag source, name is the object name.

### QImageDrag::QImageDrag ( QWidget * dragSource = 0, const char * name = 0 )

Creates a default text drag object. dragSource must be the drag source, name is the object name.

### QImageDrag::~QImageDrag ()

Destroys the image drag object and frees all allocated resources.

### bool QImageDrag::canDecode ( QDragMoveEvent * e ) `[static]`

Returns TRUE if the information in e can be decoded into an image.

See also: decode().

### bool QImageDrag::decode ( QDropEvent * e, QImage & img ) `[static]`

Attempts to decode the dropped information in e into img, returning TRUE if successful.

See also: canDecode().

### bool QImageDrag::decode ( QDropEvent * e, QPixmap & pm ) `[static]`

Attempts to decode the dropped information in e into pm, returning TRUE if successful.

This is a convenience function that converts to pm via a QImage.

See also: canDecode().

### void QImageDrag::setImage ( QImage image )

Sets the image to be dragged. You will need to call this if you did not pass the image during construction.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qdragobject.h: 1998/08/19
- qdragobject.cpp: 1998/12/07